package eu.eudat.data.dao.criteria;

import eu.eudat.data.entities.Dataset;
import eu.eudat.elastic.entities.Tag;

import java.util.Date;
import java.util.List;
import java.util.UUID;


public class DatasetCriteria extends Criteria<Dataset> {
    private Integer status;
    private Date periodStart;
    private Date periodEnd;
    private List<UUID> dmpIds;
    private List<Tag> tags;
    private boolean allVersions;


    public boolean getAllVersions() {
        return allVersions;
    }

    public void setAllVersions(boolean allVersions) {
        this.allVersions = allVersions;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getPeriodStart() {
        return periodStart;
    }

    public void setPeriodStart(Date periodStart) {
        this.periodStart = periodStart;
    }

    public Date getPeriodEnd() {
        return periodEnd;
    }

    public void setPeriodEnd(Date periodEnd) {
        this.periodEnd = periodEnd;
    }

    public List<UUID> getDmpIds() {
        return dmpIds;
    }

    public void setDmpIds(List<UUID> dmpIds) {
        this.dmpIds = dmpIds;
    }

    public List<Tag> getTags() {
        return tags;
    }

    public void setTags(List<Tag> tags) {
        this.tags = tags;
    }
}
