package eu.eudat.logic.managers;

import eu.eudat.data.entities.Registry;
import eu.eudat.data.entities.Service;
import eu.eudat.logic.services.ApiContext;
import eu.eudat.models.data.registries.RegistryModel;
import eu.eudat.models.data.services.ServiceModel;

/**
 * Created by ikalyvas on 9/3/2018.
 */
public class ServiceManager {
    public static Service create(ApiContext apiContext, ServiceModel serviceModel) throws Exception {
        Service service = serviceModel.toDataModel();
        return apiContext.getOperationsContext().getDatabaseRepository().getServiceDao().createOrUpdate(service);
    }
}
