import { RouterModule, Routes } from '@angular/router';
import { FormComponent } from './form/form.component';
import { AuthGuard } from '../shared/guards/auth.guard';
import { DatasetProfileAdminListingComponent } from './datasets-admin-listing/dataset-profile-admin-listing.component';

export const DatasetProfileRoutes: Routes = [
	{
		path: ':id',
		component: FormComponent
	},
	{
		path: 'clone/:cloneid',
		component: FormComponent
	},
	{
		path: '',
		component: DatasetProfileAdminListingComponent,
	},

];
