import { FormGroup } from '@angular/forms';
import { Field } from '../../../models/Field';
import { Component, Input, OnInit, ViewEncapsulation } from '@angular/core';

@Component({
	selector: 'app-df-dropdown',
	templateUrl: './dynamic-field-dropdown.html',
	styleUrls: [
		'./dynamic-field-dropdown.css'
	],
	encapsulation: ViewEncapsulation.None
})
export class DynamicFieldDropdownComponent implements OnInit {
	@Input() field: Field;
	@Input() form: FormGroup;

	ngOnInit() {

	}

	assign(item: any) {
		if (!item) { return null; }
		return this.transform(item);
	}

	transform(item: any) {
		if (typeof item === 'string') { return JSON.parse(item); } else { return JSON.stringify(item); }
	}
}
