import { ColumnOrderings } from './ColumnOrderings';
import { BaseCriteria } from '../criteria/BaseCriteria';
import { RequestItem } from '../criteria/RequestItem';

export class DataTableRequest<T> extends RequestItem<T> {
	offset = 0;
	length = 0;
	public orderings: ColumnOrderings;
	constructor(offset: number, length: number, orderings: ColumnOrderings) {
		super();
		this.length = length;
		this.offset = offset;
		this.orderings = orderings;
	}
}
