import { ProjectStateType } from '../projects/ProjectStateType';
import { BaseCriteria } from '../criteria/BaseCriteria';
import { TagModel } from '../tags/TagModel';

export class FacetSearchCriteriaModel extends BaseCriteria {
	public projectStatus: ProjectStateType;
	public projects: string[] = [];
	public datasetProfile: string[] = [];
	public dmpOrganisations: string[] = [];
	public tags = [];
}
