export abstract class LoginProviderConfiguration {
	public clientId: string;
}

export class FacebookLoginConfiguration extends LoginProviderConfiguration {
}

export class GoogleLoginConfiguration extends LoginProviderConfiguration {
}

export class TwitterLoginConfiguration extends LoginProviderConfiguration {
	public oauthUrl: string;
}

export class LinkedInConfiguration extends LoginProviderConfiguration {
	public oauthUrl: string;
	public redirectUri: string;
}

export class B2AccessConfiguration extends LoginProviderConfiguration {
	public oauthUrl: string;
	public redirectUri: string;
}
