package eu.eudat.data.dao.criteria;

import eu.eudat.data.entities.Dataset;
import eu.eudat.elastic.entities.Tag;
import eu.eudat.types.project.ProjectStateType;

import java.util.List;
import java.util.UUID;

/**
 * Created by ikalyvas on 10/2/2018.
 */
public class DatasetPublicCriteria extends Criteria<Dataset>{
    public ProjectStateType projectStatus;
    public List<UUID> projects;
    public List<UUID> datasetProfile;
    public List<String> dmpOrganisations;
    public List<Tag> tags;

    public ProjectStateType getProjectStatus() {
        return projectStatus;
    }

    public void setProjectStatus(ProjectStateType projectStatus) {
        this.projectStatus = projectStatus;
    }

    public List<UUID> getProjects() {
        return projects;
    }

    public void setProjects(List<UUID> projects) {
        this.projects = projects;
    }

    public List<UUID> getDatasetProfile() {
        return datasetProfile;
    }

    public void setDatasetProfile(List<UUID> datasetProfile) {
        this.datasetProfile = datasetProfile;
    }

    public List<String> getDmpOrganisations() {
        return dmpOrganisations;
    }

    public void setDmpOrganisations(List<String> dmpOrganisations) {
        this.dmpOrganisations = dmpOrganisations;
    }

    public List<Tag> getTags() {
        return tags;
    }

    public void setTags(List<Tag> tags) {
        this.tags = tags;
    }
}
