package eu.eudat.data.dao.criteria;

import eu.eudat.data.entities.Project;
import eu.eudat.types.project.ProjectStateType;

import java.util.Date;

public class ProjectCriteria extends Criteria<Project> {
    private Date periodStart;
    private Date periodEnd;
    private String reference;
    private Integer projectStateType;

    public Date getPeriodStart() {
        return periodStart;
    }

    public void setPeriodStart(Date periodStart) {
        this.periodStart = periodStart;
    }

    public Date getPeriodEnd() {
        return periodEnd;
    }

    public void setPeriodEnd(Date periodEnd) {
        this.periodEnd = periodEnd;
    }

    public String getReference() {
        return reference;
    }

    public void setReference(String reference) {
        this.reference = reference;
    }

    public Integer getProjectStateType() {
        return projectStateType;
    }

    public void setProjectStateType(Integer projectStateType) {
        this.projectStateType = projectStateType;
    }
}
