package eu.eudat.types.project;

/**
 * Created by ikalyvas on 8/24/2018.
 */
public enum ProjectStateType {
    ONGOING(0), FINISHED(1);

    private Integer value;

    private ProjectStateType(Integer value) {
        this.value = value;
    }

    public Integer getValue() {
        return value;
    }

    public static ProjectStateType fromInteger(Integer value) {
        switch (value) {
            case 0:
                return ONGOING;
            case 1:
                return FINISHED;
            default:
                throw new RuntimeException("Unsupported Project State Type");
        }
    }
}
