import { Field } from '../../../models/Field';
import { FormGroup } from '@angular/forms';
import { Component, Input, ViewEncapsulation, OnInit } from '@angular/core';

@Component({
	selector: 'app-df-checkbox',
	templateUrl: './dynamic-field-checkbox.html',
	styleUrls: [
		'./dynamic-field-checkbox.css'
	],
	encapsulation: ViewEncapsulation.None
})
export class DynamicFieldCheckBoxComponent implements OnInit {

	@Input() field: Field;
	@Input() form: FormGroup;

	ngOnInit(): void {
		if (this.form.get('value').value === null) { this.form.get('value').patchValue(false); }
	}
}
