import { DataField } from './DataField';
import { FormGroup } from '@angular/forms';
export class TextArea extends DataField<TextArea> {

	buildForm(): FormGroup {
		const formGroup = this.formBuilder.group({
			label: this.label
		});
		return formGroup;
	}

	fromJSONObject(item: any): TextArea {
		this.label = item.label;
		return this;
	}
}
