import { FormGenerator } from '../interfaces/FormGenerator';
import { User } from './User';
import { FormGroup, FormBuilder } from '@angular/forms';
export class Invitation implements FormGenerator<FormGroup> {

	public dataManagementPlan: string;
	public users = new Array<User>();

	buildForm(): FormGroup {
		const formGroup = new FormBuilder().group({
			dataManagementPlan: [this.dataManagementPlan],
			users: [this.users]
		});

		return formGroup;
	}
}
