import { BaseCriteria } from '../../../models/criteria/BaseCriteria';
import { RequestItem } from '../../../models/criteria/RequestItem';
import { BehaviorSubject } from 'rxjs';

export class AutoCompleteConfiguration {
	public callback: Function;
	public refreshEvent: BehaviorSubject<boolean>;
	public requestItem: RequestItem<any>;
	constructor(callback: Function, requestItem: RequestItem<any>, refreshEvent = null) {
		this.callback = callback;
		this.requestItem = requestItem;
		this.refreshEvent = refreshEvent;
	}
}
