export const environment = {
	production: true,
	Server: 'https://devel.opendmp.eu/srv/api/',
	App: 'https://devel.opendmp.eu/',
	HelpService: {
		Enabled: false,
		Url: 'https://devel.opendmp.eu/content-service/',
	},
	defaultCulture: 'en-US',
	loginProviders: {
		facebookConfiguration: { clientId: '' },
		googleConfiguration: { clientId: '' },
		linkedInConfiguration: {
			clientId: '',
			oauthUrl: 'https://www.linkedin.com/oauth/v2/authorization',
			redirectUri: 'http://localhost:4200/login/linkedin',
		},
		twitterConfiguration: {
			clientId: '',
			oauthUrl: 'https://api.twitter.com/oauth/authenticate'
		},
		b2accessConfiguration: {
			clientId: '',
			oauthUrl: 'https://b2access-integration.fz-juelich.de:443/oauth2-as/oauth2-authz',
			redirectUri: 'http://opendmp.eu/api/oauth/authorized/b2access'
		}
	}
};
